Commit d8cb9213 authored by sajolida's avatar sajolida
Browse files

Add Linux Mint to the Installation Assistant (#11561)

parent 4158ee44
[[!meta title="Debian or Ubuntu"]]
[[!meta title="Debian, Ubuntu, or Mint"]]
[[!meta stylesheet="bootstrap" rel="stylesheet" title=""]]
[[!meta stylesheet="inc/stylesheets/assistant" rel="stylesheet" title=""]]
......@@ -8,7 +8,7 @@
[[<span class="back">Back</span>|install/os]]
<h1 class="text-center"><strong>Debian or Ubuntu</strong></h1>
<h1 class="text-center"><strong>Debian, Ubuntu, or Mint</strong></h1>
<div id="scenarios" class="row">
<div class="col-md-6">
......@@ -39,7 +39,7 @@
[[
<div class="panel panel-primary">
<div class="panel-heading">
<h3 class="panel-title">Install from Debian or Ubuntu</h3>
<h3 class="panel-title">Install from Debian, Ubuntu, or Mint</h3>
</div>
</div>
|debian/usb/overview]]
......@@ -47,7 +47,7 @@
[[
<div class="panel panel-primary">
<div class="panel-heading">
<h3 class="panel-title"><small>Install from Debian or Ubuntu using the</small><br />command line <small> and </small> GnuPG</h3>
<h3 class="panel-title"><small>Install from Debian, Ubuntu, or Mint using the</small><br />command line <small> and </small> GnuPG</h3>
</div>
</div>
|expert/usb/overview]]
......
[[!meta title="Installing Tails on a USB stick from Debian or Ubuntu"]]
[[!meta title="Installing Tails on a USB stick from Debian, Ubuntu, or Mint"]]
[[!meta stylesheet="bootstrap" rel="stylesheet" title=""]]
[[!meta stylesheet="inc/stylesheets/assistant" rel="stylesheet" title=""]]
......@@ -11,7 +11,7 @@
<div class="step-image">[[!img install/inc/infography/os-debian-ubuntu.png link="no"]]</div>
Start in Debian or Ubuntu.
Start in Debian, Ubuntu, or Linux Mint.
[[!inline pages="install/inc/steps/debian_requirements.inline" raw="yes"]]
......@@ -112,6 +112,45 @@ If you are running Ubuntu
1. After `tails-installer` is installed, close <span class="application">Ubuntu Software Center</span>.
If you are running Linux Mint
-----------------------------
1. Make sure that you are connected to the Internet.
1. Start <span class="application">Software Manager</span>.
1. Choose
<span class="guimenupath">
<span class="guimenu">Edit</span>&nbsp;▸
<span class="guimenuitem">Software sources</span></span>.
1. Click on the <span class="guilabel">PPAs</span> button and then
choose to <span class="guilabel">Add a new PPA&hellip;</span>.
1. In the dialog, specify `ppa:tails-team/tails-installer` and click
<span class="button">Ok</span>.
1. Click <span class="button">Ok</span> again to close the description
of the PPA.
1. In the <span class="guilabel">Software Sources</span> window, click
on the <span class="guilabel">Update the cache</span> button and wait
for the download of the package information to finish.
1. Close the <span class="guilabel">Software Sources</span> dialog.
1. Wait a few seconds until <span class="guilabel">Software Manager</span> reappears.
1. In the main window of <span class="application">Software
Manager</span>, search for `tails-installer` and double-clik on <span
class="guilabel">Tails Installer</span> in the search results.
1. Click <span class="button">Install</span> in the description of
<span class="application">Tails Installer</span>.
1. After <span class="application">Tails Installer</span> is installed,
close <span class="application">Software Manager</span>.
[[!inline pages="install/inc/steps/install_final.inline" raw="yes"]]
[[!inline pages="install/inc/steps/restart_first_time.inline" raw="yes"]]
......
[[!meta title="Install from Debian or Ubuntu"]]
[[!meta title="Install from Debian, Ubuntu, or Mint"]]
[[!meta stylesheet="bootstrap" rel="stylesheet" title=""]]
[[!meta stylesheet="inc/stylesheets/assistant" rel="stylesheet" title=""]]
......@@ -9,7 +9,7 @@
[[<span class="back">Back</span>|install/win]]
<h1 class="text-center">Install from <strong>Debian or Ubuntu</strong></h1>
<h1 class="text-center">Install from <strong>Debian, Ubuntu, or Mint</strong></h1>
[[!inline pages="install/inc/overview" raw="yes"]]
......
......@@ -201,12 +201,12 @@ without the need to rely on certificate authorities.
<div class="tip">
<p>If you are on Debian or Ubuntu, you can install the
<p>If you are on Debian, Ubuntu, or Linux Mint, you can install the
<code>debian-keyring</code> package which contains the OpenPGP keys of
all Debian developers. Some Debian developers have certified the Tails
signing key and you can use these certifications to build a trust path.
This technique is explained in detail in our instructions on
[[installing Tails from Debian or Ubuntu using the command
[[installing Tails from Debian, Ubuntu, or Linux Mint using the command
line|install/expert/usb]].</p>
</div>
......
[[!meta title="Installing Tails on a USB stick from Debian or Ubuntu using the command line"]]
[[!meta title="Installing Tails on a USB stick from Debian, Ubuntu, or Mint using the command line"]]
[[!meta stylesheet="inc/stylesheets/assistant" rel="stylesheet" title=""]]
[[!meta stylesheet="inc/stylesheets/steps" rel="stylesheet" title=""]]
[[!meta stylesheet="inc/stylesheets/expert" rel="stylesheet" title=""]]
Start in Debian or Ubuntu.
Start in Debian, Ubuntu, or Linux Mint.
[[!inline pages="install/inc/steps/debian_requirements.inline" raw="yes"]]
......@@ -140,7 +140,7 @@ Installer</span>, a program designed specifically for installing Tails.
BACKPORTS='deb http://http.debian.net/debian/ jessie-backports main'
echo $BACKPORTS | sudo tee /etc/apt/sources.list.d/jessie-backports.list && echo "OK"
b. Ubuntu, execute the following command to add the
b. Ubuntu or Linux Mint, execute the following command to add the
PPA repository to your system:
sudo add-apt-repository ppa:tails-team/tails-installer
......
[[!meta title="Install from Debian or Ubuntu using the command line and GnuPG"]]
[[!meta title="Install from Debian, Ubuntu, or Mint using the command line and GnuPG"]]
[[!meta stylesheet="bootstrap" rel="stylesheet" title=""]]
[[!meta stylesheet="inc/stylesheets/assistant" rel="stylesheet" title=""]]
......@@ -9,7 +9,7 @@
[[<span class="back">Back</span>|install/debian]]
<h1 class="text-center"><small>Install from Debian or Ubuntu using the</small><br />command line <small> and </small> GnuPG</h1>
<h1 class="text-center"><small>Install from Debian, Ubuntu, or Mint using the</small><br />command line <small> and </small> GnuPG</h1>
[[!inline pages="install/inc/overview" raw="yes"]]
......
......@@ -2,8 +2,9 @@ These instructions require:
- Debian 8 (Jessie) or later
- Ubuntu 15.10 (Wily Werewolf) or later
- Linux Mint 18 (Sarah) or later
If your version of Debian or Ubuntu is not supported, you can follow the
If your version of Debian, Ubuntu or Linux Mint is not supported, you can follow the
instructions for [[other Linux distributions|install/linux/usb/overview]]
instead. But they are more complicated and require two USB sticks instead of
one.
......@@ -15,11 +16,14 @@ one.
<span class="guilabel">Details</span>. For Debian, refer to the
<span class="guilabel">Base system</span> information.</p>
<p>To know your version of Linux Mint, open
<span class="application">Welcome Screen</span>.
</div>
<div class="tip expert">
<p>To know your version of Debian or Ubuntu, execute
<p>To know your version of Debian, Ubuntu, or Linux Mint, execute
<span class="command">lsb_release -a</span>.</p>
</div>
......@@ -94,7 +94,7 @@ from a Tails DVD in a similar way.</p>
<div class="note install-clone debian expert windows linux">
<p>Most computers do not start on Tails by default. If it does you
are lucky. Otherwise, if the computer starts on
<span class="debian expert">Debian or Ubuntu,</span>
<span class="debian expert">Debian, Ubuntu, or Linux Mint</span>
<span class="windows">Windows,</span>
<span class="linux">Linux,</span>
<span class="install-clone">Windows or Linux,</span>
......
......@@ -33,7 +33,7 @@
[[
<div class="panel panel-primary">
<div class="panel-heading">
<h3 class="panel-title">Debian or Ubuntu</h3>
<h3 class="panel-title">Debian, Ubuntu, or Mint</h3>
</div>
</div>
|install/debian]]
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment